itassert.h File Reference

Error handling functions - header file. More...

`#include <sstream>`
`#include <string>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Macros

#define | it_assert(t, s)
| Abort if `t` is not true.
#define | it_assert_debug(t, s) it_assert(t,s)
| Abort if `t` is not true and NDEBUG is not defined.
#define | it_assert0(t, s) it_assert_debug(t,s)
| Deprecated macro. Please use `it_assert_debug()` instead.
#define | it_assert1(t, s) it_assert_debug(t,s)
| Deprecated macro. Please use `it_assert_debug()` instead.
#define | it_error_if(t, s)
| Abort if `t` is true.
#define | it_error(s)
| Abort unconditionally.
#define | it_info(s)
| Print information message.
#define | it_info_no_endl(s)
| Print information message withot `std::endl` at the end.
#define | it_info_debug(s) it_info(s)
| Print information message if NDEBUG is not defined.
#define | it_info_no_endl_debug(s) it_info_no_endl(s)
| Print information message withot `std::endl` at the end if NDEBUG is not defined.
#define | it_warning(s)
| Display a warning message.

## Enumerations

enum | itpp::error_msg_style { Full , Minimum }
| Style of assert, error and warning messages. More...

## Functions

void | itpp::it_assert_f (std::string ass, std::string msg, std::string file, int line)
| Helper function for the `it_assert` and `it_assert_debug` macros.
void | itpp::it_error_f (std::string msg, std::string file, int line)
| Helper function for the `it_error` and `it_error_if` macros.
void | itpp::it_info_f (std::string msg)
| Helper function for the `it_info` and `it_info_debug` macros.
void | itpp::it_warning_f (std::string msg, std::string file, int line)
| Helper function for the `it_warning` macro.
ITPP_EXPORT void | itpp::it_enable_exceptions (bool on)
| Enable/disable using exceptions for error handling.
void | itpp::it_enable_warnings ()
| Enable warnings.
void | itpp::it_disable_warnings ()
| Disable warnings.
void | itpp::it_redirect_warnings (std::ostream *warn_stream)
| Redirect warnings to the ostream warn_stream.
void | itpp::it_error_msg_style (error_msg_style style)
| Set preferred style of assert, error and warning messages.

## Detailed Description

Error handling functions - header file.

Author
  Tobias Ringstrom and Adam Piatyszek

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file itassert.h.

Generated on Mon Jun 10 2024 11:49:26 for IT++ by Doxygen 1.9.8